#!/usr/local/bin/perl

use strict;
use warnings;
use IO::File;

my @strings;
my %strings;

my $file = "Receiving_Report.csv";							# файл-источник
my $file_result = "unique_strings_found.csv";				# файл с результатом

my $fh = new IO::File($file) or die "Can't read from file [$file]\n";
while(<$fh>)
{
 chomp;
 $strings{$_}++;											# Счетчик уникальных строк
 if($strings{$_}==1)										# если таких строк одна
 	{
 		push(@strings,$_);
 	}
}
$fh->close;
$fh->open("> $file_result") or die "Can't write to out\n";	#Тут мы открываем файл, куда писать
map{print $fh $_."\n"} (@strings);							# Печать
$fh->close;